Bug 889031 - [FJ] Website should indicate whether a translation is older than the doc in the source language
[FJ] Website should indicate whether a translation is older than the doc in t...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-19 23:03 EST by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2012-12-19 23:03:37 EST
Description of problem:
When a document has not been translated into a particular language, the menus of a Publican-generated website in that language point to the document in its source language and mark it as untranslated. However, documents that *have* been translated might not be up-to-date with the source language, perhaps significantly so. 

The menus should indicate when a translated document is based on a version of the source document older than the one currently on the site.
Comment 2 Jeff Fearn 2013-07-17 07:48:48 EDT
This requires a database change as the DB does not currently contain this information.

Something like these might help:
http://search.cpan.org/~daniel/DBIx-Migration-0.07/lib/DBIx/Migration.pm
http://search.cpan.org/~crakrjack/DBIx-Migration-Directories-0.11/lib/DBIx/Migration/Directories.pod
Comment 3 HSS Product Manager 2013-09-18 01:29:08 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-09-19 03:42:45 EDT
Initial code changes done and checked in, need to agree on wording, layout, and exactly which labels will get modified.
Comment 5 Jeff Fearn 2013-09-26 20:52:28 EDT
Code, pot & po updates, and initial style checked in. Translations will need to be synced with Zanata.
Comment 6 Ruediger Landmann 2013-10-23 09:38:46 EDT
Doesn't work in publican-3.9.9-0.fc19.t18.noarch -- I installed the RHEL Power Management Guide:

* version 1.0-25 in English
* version 1.0-23.1 in Japanese

No annotation appeared on the Japanese page
Comment 7 Jeff Fearn 2013-10-23 20:34:15 EDT
(In reply to Ruediger Landmann from comment #6)
> Doesn't work in publican-3.9.9-0.fc19.t18.noarch -- I installed the RHEL
> Power Management Guide:
> 
> * version 1.0-25 in English
> * version 1.0-23.1 in Japanese
> 
> No annotation appeared on the Japanese page

Moar information. Links to site displaying issue. Links to builds.
Comment 9 Jeff Fearn 2013-10-23 23:52:25 EDT
Did you build these from the original sources or from tarballs created from previous releases?
Comment 10 Ruediger Landmann 2013-10-24 15:51:38 EDT
Tarballs from previous releases; I'll test the other scenario too.
Comment 11 Ruediger Landmann 2013-10-24 22:52:13 EDT
Verified that this feature works in publican-3.9.9-0.fc19.t18.noarch as expected with packages built from source (rather than repackaged)

Note You need to log in before you can comment on or make changes to this bug.